curl --request GET \
--url https://nxt-ulm-pdt.m1amdocs.io/oidc/authorizeimport requests
url = "https://nxt-ulm-pdt.m1amdocs.io/oidc/authorize"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://nxt-ulm-pdt.m1amdocs.io/oidc/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nxt-ulm-pdt.m1amdocs.io/oidc/authorize",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://nxt-ulm-pdt.m1amdocs.io/oidc/authorize"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://nxt-ulm-pdt.m1amdocs.io/oidc/authorize")
.asString();require 'uri'
require 'net/http'
url = URI("https://nxt-ulm-pdt.m1amdocs.io/oidc/authorize")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"error": "invalid_client",
"error_description": "Required String parameter 'token' is not present"
}Authentication Request
OpenID Connect Authorization Endpoint as described in §3.1.2, §3.2.2, and §3.3.2 of OpenID Connect Core
curl --request GET \
--url https://nxt-ulm-pdt.m1amdocs.io/oidc/authorizeimport requests
url = "https://nxt-ulm-pdt.m1amdocs.io/oidc/authorize"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://nxt-ulm-pdt.m1amdocs.io/oidc/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nxt-ulm-pdt.m1amdocs.io/oidc/authorize",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://nxt-ulm-pdt.m1amdocs.io/oidc/authorize"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://nxt-ulm-pdt.m1amdocs.io/oidc/authorize")
.asString();require 'uri'
require 'net/http'
url = URI("https://nxt-ulm-pdt.m1amdocs.io/oidc/authorize")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"error": "invalid_client",
"error_description": "Required String parameter 'token' is not present"
}Query Parameters
OAuth 2.0 response type requested.
Possible values are a combination of code, id_token, token
- code - Authorization Code Flow
- id_token - Implicit Flow
- id_token token - Implicit Flow
- code id_token - Hybrid Flow
- code token - Hybrid Flow
- code id_token token - Hybrid Flow
OAuth 2.0 client-ID of the Relying Party.
Redirection URI to which the response will be sent. Must match configured values for the Relying Party
Scopes requested. If missing all scopes from Relying party are assigned upon successful request.
"profile,email"
Opaque value to be returned with the redirect
"af0ifjsldkj"
(Optional) Opaque value to be included in the ID Token
(Optional) Allowed authentication methods. Space delimited, case sensitive list. The defined values are:
- none - No authentication or consent user interface pages are displayed. Typical error codes will be login_required, interaction_required.
- login - Prompt the End-User for reauthentication. Typical error login_required.
- consent - Prompt the End-User for consent. Typical error consent_required.
- select_account - Prompt the End-User to select a user account. Typical error account_selection_required.
(Optional) Maximum authentication age
(Optional) Previously-issued ID Token to be used as a reference
(Optional) Suggested User-ID
Response
Never happens. Successful scenario is 302 redirect.

